.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the Slider.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_Slider:

Slider
======

**Inherits:** :ref:`Range<class_range>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`HSlider<class_hslider>`, :ref:`VSlider<class_vslider>`

**Category:** Core

Brief Description
-----------------

Base class for GUI Sliders.

Member Variables
----------------

  .. _class_Slider_editable:

- :ref:`bool<class_bool>` **editable**

  .. _class_Slider_focus_mode:

- :ref:`FocusMode<enum_control_focusmode>` **focus_mode**

  .. _class_Slider_tick_count:

- :ref:`int<class_int>` **tick_count**

  .. _class_Slider_ticks_on_borders:

- :ref:`bool<class_bool>` **ticks_on_borders**


Description
-----------

Base class for GUI Sliders.

